Bug 834394 - gcc: internal compiler error - when generating assembly
gcc: internal compiler error - when generating assembly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 14:31 EDT by Joachim Metz
Modified: 2013-02-13 09:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:54:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Generated C file (500.57 KB, application/gzip)
2012-06-21 14:31 EDT, Joachim Metz
no flags Details

  None (edit)
Description Joachim Metz 2012-06-21 14:31:01 EDT
Created attachment 593542 [details]
Generated C file

Description of problem:
when running a generated C code file with "gcc -O2 -S -c fail.c" gcc segfaults

Message:
gcc: internal compiler error: Segmentation fault (program cc1)

Version-Release number of selected component (if applicable):
gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/4.6.3/lto-wrapper
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --enable-languages=c,c++,objc,obj-c++,java,fortran,ada,go,lto --enable-plugin --enable-java-awt=gtk --disable-dssi --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre --enable-libgcj-multifile --enable-java-maintainer-mode --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --disable-libjava-multilib --with-ppl --with-cloog --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux
Thread model: posix
gcc version 4.6.3 20120306 (Red Hat 4.6.3-2) (GCC) 


How reproducible:
5 out of 5

Steps to Reproduce:
1. download the attached C file and decompress
2. Run: gcc -O2 -S -c fail.c
3. Segfault
  
Actual results:
Segfault

Expected results:
Either a compiled file or some error

Additional info:
Smaller values passed to the script do not segfault; likely some overflow
Comment 1 Joachim Metz 2012-06-21 15:12:24 EDT
the boundary lies somewhere between 50000 and 55000 if-else statements
Comment 2 Fedora End Of Life 2013-01-16 08:57:30 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Joachim Metz 2013-01-17 03:31:00 EST
just checked with FC18 and gcc version 4.7.2 20121109 (Red Hat 4.7.2-8) (GCC)

segfault seems to have been fixed, not sure if this version gcc does the right thing since has been crunching on this file for a while, but I'll file a bug for FC18 if I know more.
Comment 4 Joachim Metz 2013-01-17 04:23:50 EST
crunching completed so I guess this bug is fixed.
Comment 5 Fedora End Of Life 2013-02-13 09:54:14 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.